#ifndef ASSIGNMENT1_LINKED_LIST_H
#define ASSIGNMENT1_LINKED_LIST_H

#include <stdbool.h>
#include "node.h"

int contains(Node *head, char *data);

Node *search(Node **head, char *data);

Node *searchForPrevious(Node **head, Node *current);

void add(Node **head, char *data);

void delete(Node **head, char *data);

void findAndReplace(Node *head, char *data, char *newData);

void printList(Node *head);

int stop(Node **head);

#endif //ASSIGNMENT1_LINKED_LIST_H
